Bug 843298 - Import failed: no user has logged in
Import failed: no user has logged in
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 21:23 EDT by Ricky Burgin
Modified: 2013-08-01 00:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:13:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample ssh keypair came from /tmp/id_rsa /tmp/id_rsa.pub (2.14 KB, text/plain)
2012-11-29 09:36 EST, bryan hunt
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1017210 None None None 2012-07-25 21:24:53 EDT

  None (edit)
Description Ricky Burgin 2012-07-25 21:23:47 EDT
Seahorse displays the message "Import failed: no user has logged in" when I attempt to import an SSH key, and prompts me to "cancel" or "import". If I select "import" again it prompts me for the label, when I enter the label and hit "ok", the screen disappears and the key is not displayed in seahorse.


Package version 3.4.1-1.fc17

Absolutely reproducable. Only tried with SSH private key. Duplicate of this bug over at Ubuntu's launchpad by the looks of it: https://bugs.launchpad.net/ubuntu/+source/seahorse/+bug/1017210
Comment 1 Ricky Burgin 2012-07-25 21:24:53 EDT
Adding external tracker.
Comment 2 bryan hunt 2012-11-29 09:36:29 EST
Created attachment 654312 [details]
sample ssh keypair came from /tmp/id_rsa  /tmp/id_rsa.pub

The password for the attached private key is redhat.

Copy the attached public key to /tmp/id_rsa.pub and the private key to /tmp/id_rsa.

Try to import the private key using seahorse

Receive an error: Import failed, no user has logged in.
Comment 3 bryan hunt 2012-11-29 09:54:26 EST
Private key import only seems to work if 

a) Private key is stored under ~/.ssh/ directory
b) Corresponding public key with the same name (.pub suffix) is also in that dir.
Comment 4 John Beranek 2013-01-15 04:23:28 EST
(In reply to comment #3)
> Private key import only seems to work if 
> 
> a) Private key is stored under ~/.ssh/ directory
> b) Corresponding public key with the same name (.pub suffix) is also in that
> dir.

I have the private and pub keys in .ssh, and I still get the import error:

seahorse-3.4.1-1.fc17.x86_64
Comment 5 Fedora Admin XMLRPC Client 2013-05-08 20:24:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2013-07-03 20:28:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 00:13:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.